跳到正文

rc_api.find_rc_accounts ​

since HF20

Purpose ​

返回账户的可用资源信用(RC)。参数:accounts:string array

accounts (string)
"steemit"查询名为 "steemit" 的账户可用的资源信用。
"alice"查询名为 "alice" 和 "bob" 的账户可用的资源信用。

Parameters ​

PARAMETERS
json
{
  "accounts": []
}

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "rc_api.find_rc_accounts",
    "params": {
      "accounts": [
        "steemit"
      ]
    },
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "rc_api.find_rc_accounts",
    "params": {
      "accounts": [
        "alice",
        "bob"
      ]
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "rc_accounts": [
    {
      "account": "",
      "rc_manabar": {
        "current_mana": "0",
        "last_update_time": 0
      },
      "max_rc_creation_adjustment": {
        "amount": "0",
        "precision": 6,
        "nai": "@@000000037"
      },
      "max_rc": "0"
    }
  ]
}